#get status, initialize. Input: get prefixes, get record ( handle ). 

package ARDB::Plugin::Input;

sub new
 {
  my $class = shift;

  my $plugins_path = $class;
  $plugins_path =~ s/\w+::/::/;
  $plugins_path = $ARDB::LocalConfig::local_path . $plugins_path;
  $plugins_path =~ s/::(\w+)/\/$1/g;
  $plugins_path =~ s|\/\/|\/|s;
  
  my $self = 
   {
    plugins_path => $plugins_path,
    ok     => 'ok'
   };

  bless $self, $class;

 }

sub status
 {
  return 1;
 }

sub init
 {
  return 1;
 }

sub get_prefixes
 {
  return [];
 }

sub config
 {
  return undef;
 }

=head1 NAME

ARDB::Plugin::Input - шаблон для создания собственных Input plugins.

=head1 DESCRIPTION


=cut

1;
